/*
	Name : InterruptConfig.h
	purpose: 
		header for the frequencyCounter.c and Interrupt.c
			
*/


/*____________ P R O T O C O L _________________________________________________________________*/

// Interrupt.c
void init_uart(void);				// baud rate 9600
void init_Timer0(void);				// Timer0
void turnOnTimer0(void);
void turnOffTimer0(void);
bit isTimer0ON(void);
void init_int0(void);				// External Interrupt 0
void enINT0(void);
void disINT0(void);

//FrequencyCounter.c
int getFrequency(void);			    // counter the number of pules within one second.	
